Subject: bug#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root

From: Michael Heerdegen <[email-masked]>
Date: Sat, 04 Jan 2025 23:11:05 +0100

Michael Albinus <[email-masked]> writes:

> What about the appended patch?

This surely can't harm,yes.  I dunno if this is what happened in my case
(my habit is "make + sudo make install"), but I don't know where to dig
or what could have happened either.  Ok.

So let me have a look at your patch:

>
> diff --git a/INSTALL b/INSTALL
> index d2705d3a44d..a8c3cd5a8e6 100644
> --- a/INSTALL
> +++ b/INSTALL
> @@ -671,6 +671,13 @@ for its Lisp files by giving values for 'make' variables as part of
>  the command.  See the section below called 'MAKE VARIABLES' for more
>  information on this.
>
> +If the directories, 'make install' copies the files to, are not writable
> +with your own permissions, you might prefer calling 'sudo make install'.
> +Note, that this command checks the completeness of all needed files; if

Something's weird about your commas (or your comma key).  I would remove
all but the third (after the word "permissions") - Eli may be able to
help more.

> +there are missing files they will be generated by internal invocations
> +of 'make'.  In order to avoid files with root ownership in your
> +installation directories, you should always call 'make; sudo make install'.

Do you really mean "installation directories"?

Thx,

Michael.